Fiskil Docs

List institutions by client

Gets a list of institutions a client subscribes to.

GET
/institutions

Gets a list of institutions a client subscribes to.

Query Parameters

industrystring

The type of the institution e.g. “banking” or “energy”

Value in"banking" | "energy"
client_idstringrequired

Your team ID. You can get this from the settings menu of the Fiskil Console

sess_idstring

The auth session id

The institution mode. If set to recommended, will load recommended institution data only

Value in"recommended"

Response Body

application/json

application/vnd.goa.error

curl -X GET "https://example.com/institutions?industry=banking&client_id=your-team-id&sess_id=Debitis+molestiae+et+laboriosam+ut.&institution_mode=recommended"
[  {    "icon": "https://eastpaclogo.com.au/eastpac-icon.svg",    "id": "22",    "industry": "banking",    "is_accessible": true,    "logo": "https://eastpaclogo.com.au/eastpac.svg",    "name": "Eastpac",    "priority": 1,    "status": {      "connections": {        "status": "OUTAGE"      }    }  },  {    "icon": "https://eastpaclogo.com.au/eastpac-icon.svg",    "id": "22",    "industry": "banking",    "is_accessible": true,    "logo": "https://eastpaclogo.com.au/eastpac.svg",    "name": "Eastpac",    "priority": 1,    "status": {      "connections": {        "status": "OUTAGE"      }    }  },  {    "icon": "https://eastpaclogo.com.au/eastpac-icon.svg",    "id": "22",    "industry": "banking",    "is_accessible": true,    "logo": "https://eastpaclogo.com.au/eastpac.svg",    "name": "Eastpac",    "priority": 1,    "status": {      "connections": {        "status": "OUTAGE"      }    }  },  {    "icon": "https://eastpaclogo.com.au/eastpac-icon.svg",    "id": "22",    "industry": "banking",    "is_accessible": true,    "logo": "https://eastpaclogo.com.au/eastpac.svg",    "name": "Eastpac",    "priority": 1,    "status": {      "connections": {        "status": "OUTAGE"      }    }  }]
{  "fault": true,  "id": "123abc",  "message": "parameter 'p' must be an integer",  "name": "bad_request",  "temporary": true,  "timeout": false}